<?php

define ("DBUSER", "smi"); // Utilisateur MySQL
define ("DBPASS", "S66D54SMI69"); // Mot de Passe pour MySQL
define ("DBHOST", "localhost"); // Adresse IP du serveur MySQL
define ("DBNAME", "smi"); // Nom de la base de données

$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
mysql_select_db(DBNAME);
// Récupération des codes clients et ID sites pour les bons de travail
$rech = "SELECT ot_code,ot_codeint FROM smi_ot";
echo $rech . "<br>";
$rs = mysql_query($rech) or die("Mise à jour fichier des bons de travail impossible.");
while ($row = mysql_fetch_array($rs)) {
    extract($row);
    $rech2 = "SELECT int_codecli, int_idsite FROM smi_int WHERE `int_code` = '" . $ot_codeint . "'";
    echo $rech2 . "<br>";
    $rs2 = mysql_query($rech2) or die(mysql_error());
    if ($row2 = mysql_fetch_array($rs2)) {
        extract($row2);
        $rech3 = "UPDATE smi_ot SET `ot_codecli` = '" . $int_codecli . "', `ot_idsite` = '" . $int_idsite . "' WHERE ot_code='" . $ot_code . "'";
        echo $rech3 . "<br>";
        $rs3 = mysql_query($rech3) or die("Mise à jour fichier des bons de travail impossible.");
    }
}

mysql_close($conn);
?>
